socorro!!

1. socorro!!

Eudmarly Sena PInheiro
eudmarlysena

(usa Ubuntu)

Enviado em 07/12/2007 - 23:44h

Nunca consegui resolver meu problema que começou depois que instalei o sun-java6-jre,não consigo atualizar e muito menos instalar mais nada e nem remover aparece sempre esta mensagem de erro (E:O pacote sun-java6-bin precisa ser reinstalado, mas não foi possível encontrar um arquivo para o mesmo.)
dava erro de configuração do dkpg mas depois voltava o problema novamente. por favor me ajudem!! não deixem eu abandonar o linux


  


2. Re: socorro!!

Fabio Maran
maran

(usa Debian)

Enviado em 07/12/2007 - 23:53h

apt-get remove --purge sun-java6-jre
apt-get remove --purge sun-java6-bin

Se o problema é esse arquivo remove ele


3. Re: socorro!!

Fabio Maran
maran

(usa Debian)

Enviado em 07/12/2007 - 23:57h

se nao te deixar remover:

sudo apt-get -f remove --purge sun-java6-jre
sudo apt-get -f remove --purge sun-java6-bin


4. Re: socorro!!

Christian Alencar
korvin

(usa Debian)

Enviado em 08/12/2007 - 02:45h

cara se as dica do companheiro nao resolverem axo q nao ha mais nada a fazer essa alternativa eh a mais radical............


5. remoção do sun-java6-jre

jonas santos cardoso
jonasecvitoria

(usa Debian)

Enviado em 08/12/2007 - 06:12h

Olá rapaz,
Tente removê-lo através do aptitude ou então pelo adept. O aptitude é utilizado em modo texto e o adept em modo gráfico.
Para instalar ambos dê o seguinte comando:
debian:~# apt-get install aptitude
ou
debian:~# apt-get install adept
Depois disto, verifique se há resíduo do programa através do seguinte comando:
debian:~# dpkg -l | grep java
Observação: o nome de minha máquina é debian e utilizo o sistema operacional DEBIAN
Espero ter ajudado. Fique com DEUS e nunca desista de resolver os problemas que surgem no mundo LINUX. A formatação total do sistema operacional deverá ficar em último plano. Caso não consiga, pesquise mais um pouco sobre o assunto.
Obrigado!


6. socorro!!

Edwal F. Paiva Filho
nicolo

(usa Ubuntu)

Enviado em 08/12/2007 - 12:51h

Use o synaptic que é o instalador gráfico defaul do sistema.
Quando ele abrir verifique no rodapé do synaptic se não há pacotes quebrados. se tiver há um comando lá no menu acima para consertar.
se isso não resolver procure o tal java e desisntale.
há um botão com o comando procurar, e você pode optar pela remoção total.
É isso.


7. Concordo com jonasecvitoria

Israel Miranda
israel_miranda

(usa FreeBSD)

Enviado em 08/12/2007 - 13:13h

Não formate ou reinstale o sistema por uma coisa tão boba. Sei que não conseguir instalar /remover alguma coisa é grave, mas é simples de resolver.

O primeiro passo em uma situação dessas, de conflito/inconsistência de pacotes, é executar o comando:

apt-get -f install

ele vai tentar resolver os problemas, desinstalando/instalando o que for necessário.

Se isso não resolver, use o dpkg:

dpkg --force-all --remove nomedopacote

Depois execute
apt-get -f install
novamente, para resolver possíveis inconsistências.

assim o dpkg remove invariavelmente o pacote do sistema, mesmo se algum outro pacote depender do pacote a ser removido.

Mas JAMAIS remova os pacote libc6*
JAMAIS
se você fizer isso, aí sim vai precisar reinstalar o sistema, ou usar um disco de boot, pegar o pacote e descomacta-lo no sistema defeituoso para tentar reparar o sistema.